Subject: Re: gigantci pages patches

From: Jon Tollefson <[email-masked]>
Date: Tue, 22 Jul 2008 15:22:36 -0500

David Gibson wrote:
> On Fri, Jul 11, 2008 at 05:45:15PM +1000, Stephen Rothwell wrote:
>   
>> Hi all,
>>
>> Could people take one last look at these patches and if there are no
>> issues, please send Ack-bys to Andrew who will push them to Linus for
>> 2.6.27.
>>
>> [PATCH 1/6 v2] allow arch specific function for allocating gigantic pages
>> http://patchwork.ozlabs.org/linuxppc/patch?&id=18437
>> Patch: [PATCH 2/6 v2] powerpc: function for allocating gigantic pages
>> http://patchwork.ozlabs.org/linuxppc/patch?&id=18438
>> Patch: [PATCH 3/6 v2] powerpc: scan device tree and save gigantic page locations
>> http://patchwork.ozlabs.org/linuxppc/patch?&id=18439
>> Patch: [PATCH 4/6 v2] powerpc: define page support for 16G pages
>> http://patchwork.ozlabs.org/linuxppc/patch?&id=18440
>> Patch: [PATCH 5/6 v2] check for overflow
>> http://patchwork.ozlabs.org/linuxppc/patch?&id=18441
>> Patch: [PATCH 6/6] powerpc: support multiple huge page sizes
>> http://patchwork.ozlabs.org/linuxppc/patch?&id=18442
>>     
>
> Sorry, I should have looked at these properly when they went past in
> May, but obviously I missed them.
>
> They mostly look ok.  I'm a bit confused on 2/6 though - it seems the
> new powerpc alloc_bootmem_huge_page() function is specific to the 16G
> gigantic pages.  But can't that function also get called for the
> normal 16M hugepages depending on how the hugepage pool is
> initialized.
>
> Or am I missing something (wouldn't surprise me given my brain's
> sluggishness today)?
>   
The alloc_bootmem_huge_page() function is only called for pages >=
MAX_ORDER.  The 16M pages are always allocated within the generic
hugetlbfs code with alloc_pages_node().

Jon